Author Topic: Color 255  (Read 9486 times)

0 Members and 1 Guest are viewing this topic.

Krushert

  • Seagull
  • Posts: 13679
  • FREE BEER Tomorrow!!
Re: Color 255
« Reply #15 on: September 13, 2006, 08:09:28 PM »
Tim and Martin,

I have a crazy thought. 

Martin, I think what you want is that you want to readily identify what objects that have a color 255 and differentiate these from others.  Am I right?

If that is the case Tim, search the data base for all objects set that information to a selection set (I think you did this) then feed that set data to the "Isolate objects" command.  The command will shut off all other objects and leave the just the 255s.  Then Martin can visually inspect and change as required.  Sometimes he will want to review stuff before changing and do so manually.  It sounds like he is working with too many Archies to have one-size-fits-all routine because over here, we extensively use color 30.  (Yes there is always one that has to be difficult.  :-)

Now to make it more useful, if that data could be remembered so Martin can Isolate and Un-Isolate (2 separate) commands as he is reviewing the 255s.  Because us Archies will have stuff scattered all over the place sometimes he will need to see the adjacent objects that are shut-off to see the 255s relation to those adjacent objects.  He can toggle until everything is change to his liking.

My two sent suggestion.


I + XI = X is true ...  ... if you change your perspective.

I no longer CAD or Model, I just hang out here picking up the empties beer cans

hmspe

  • Bull Frog
  • Posts: 362
Re: Color 255
« Reply #16 on: September 14, 2006, 11:01:44 AM »
Thanks for the suggestions.  Time to see what I can put together.

Martin

"Science is the belief in the ignorance of experts." - Richard Feynman

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Color 255
« Reply #17 on: September 14, 2006, 11:14:26 AM »
Thanks for the suggestions.  Time to see what I can put together.

Martin


Use the code I posted as a starting point, and then look at the visibility property.  It isn't too hard to do.  Just assign the objects to a global list that you can change the visibility for.
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Color 255
« Reply #18 on: September 14, 2006, 05:01:14 PM »
Now to make it more useful, if that data could be remembered so Martin can Isolate and Un-Isolate (2 separate) commands as he is reviewing the 255s.  Because us Archies will have stuff scattered all over the place sometimes he will need to see the adjacent objects that are shut-off to see the 255s relation to those adjacent objects.  He can toggle until everything is change to his liking.

My two sent suggestion.
Okay.
Code: [Select]
(defun c:BlankObjects(/ ActDoc clr LayList)

(defun GetLayerList (Doc Clr / LayList)

(vlax-for Lay (vla-get-Layers Doc)
 (if (equal (vla-get-Color Lay) Clr)
  (setq LayList (cons (vla-get-Name Lay) LayList))
 )
)
LayList
)
;-----------------------------------------------------------------------------
(setq ActDoc (vla-get-ActiveDocument (vlax-get-Acad-Object)))
(if
 (and
  (setq Clr (getint "\n Enter color number NOT to blank it's objects: "))
  (if GlbVarObjectList
   (progn
    (initget "Yes No")
    (if (/= (getkword "\n List aready exist, wisg to overwrite it? [<Y>es/No]: ") "No")
     (foreach Obj GlbVarObjectList
      (vla-put-Visible Obj :vlax-false)
     )
     T
    )
   )
   T
  )
 )
 (progn
  (setq LayList (GetLayerList ActDoc Clr))
  (vlax-for Lo (vla-get-Layouts ActDoc)
   (vlax-for Obj (vla-get-Block Lo)
    (if
     (or
      (and
       (vl-position (vla-get-Layer Obj) LayList)
       (not (equal (vla-get-Color Obj) 256))
      )
      (and
       (not (vl-position (vla-get-Layer Obj) LayList))
       (not (equal (vla-get-Color Obj) Clr))
      )
     )
     (progn
      (setq GlbVarObjectList (cons Obj GlbVarObjectList))
      (vla-put-Visible Obj :vlax-false)
     )
    )
   )
  )
 )
)
(princ)
)
Code: [Select]
(defun c:UnBlankObjects ()

(if GlbVarObjectList
 (foreach Obj GlbVarObjectList
  (vla-put-Visible Obj :vlax-true)
 )
 (prompt "\n No objects have been blanked using \"BlankObjects\" command.")
)
(princ)
)
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

Krushert

  • Seagull
  • Posts: 13679
  • FREE BEER Tomorrow!!
Re: Color 255
« Reply #19 on: September 14, 2006, 07:26:08 PM »
Totally Swwwweeeeeettt.   8-)

though here comes the bad news.

the major bad:  I think there is a typo  :-D :-D

   (progn
    (initget "Yes No")
    (if (/= (getkword "\n List aready exist, wisg to overwrite it? [<Y>es/No]: ") "No")

The minor bad:  I was a bit confused on the yes/no.  To overwrite list I had to enter "NO".  Is that correct?  My first thought was "YES" I wanted to overwrite the list.  If this is your intention, no problem, just trying to understand.  :-)

I + XI = X is true ...  ... if you change your perspective.

I no longer CAD or Model, I just hang out here picking up the empties beer cans

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Color 255
« Reply #20 on: September 14, 2006, 07:30:21 PM »
Totally Swwwweeeeeettt.   8-)

though here comes the bad news.

the major bad:  I think there is a typo  :-D :-D

   (progn
    (initget "Yes No")
    (if (/= (getkword "\n List aready exist, wisg to overwrite it? [<Y>es/No]: ") "No")

The minor bad:  I was a bit confused on the yes/no.  To overwrite list I had to enter "NO".  Is that correct?  My first thought was "YES" I wanted to overwrite the list.  If this is your intention, no problem, just trying to understand.  :-)


It should say
Quote
List aready exist, wish to overwrite it? [<Y>es/No]:

I put this in incase you ran the command twice with the same color, this way it would be faster, as it has the list of all the objects you wanted to blank with no need to search the drawing again.

Glad you find it useful.
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

sinc

  • Guest
Re: Color 255
« Reply #21 on: September 17, 2006, 05:06:16 AM »

Thanks for the suggestion.  That could work -- our color 255 entities are already on a dedicated layer.


Why are you using Color 255 = 0% Screen to create NoPlot items?

You said all the items you don't want to plot are already on their own dedicated layer.  Why don't you just set that layer to "No Plot" using the layer properties, and leave Color 255 as a normal printing color?

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Color 255
« Reply #22 on: September 17, 2006, 04:01:01 PM »

Thanks for the suggestion.  That could work -- our color 255 entities are already on a dedicated layer.


Why are you using Color 255 = 0% Screen to create NoPlot items?

You said all the items you don't want to plot are already on their own dedicated layer.  Why don't you just set that layer to "No Plot" using the layer properties, and leave Color 255 as a normal printing color?
Because if the layer is non-plotting, then Acad won't look at it for extents, but if there are items that are at a screening of 0, then it will see them, and 'try' to print them.  It's an issue of centering on the paper.  I have had to do the same thing at other jobs before.

I hope that made sense.
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

sinc

  • Guest
Re: Color 255
« Reply #23 on: September 19, 2006, 09:31:43 PM »

Because if the layer is non-plotting, then Acad won't look at it for extents, but if there are items that are at a screening of 0, then it will see them, and 'try' to print them.  It's an issue of centering on the paper.  I have had to do the same thing at other jobs before.

I hope that made sense.

Not really...

Can you explain exactly what you mean?  I've tried tests with both ZOOM EXTENTS and the "Extents" option for Plot Area in the Plot Dialog, and in every case, Autocad used object on non-plotting layers to determine the extents.

hmspe

  • Bull Frog
  • Posts: 362
Re: Color 255
« Reply #24 on: September 20, 2006, 12:41:55 AM »
It really has nothing to do with what Autocad sees as the extents.  I have an Oce TDS 400.  Neither the techs who work on it nor I have found a way to get it position a page properly unless I put entities very near the margins of the printed sheet, then tell the plotter to center the plot on a standard size sheet.  I put small tick marks .003" inside the upper left and lower right corners of the sheet.  Just drawing a full size border doesn't work -- there have to be entities the "printable area".  If the tick marks are on a layer that is set "non print" they don't get sent to the plotter, and the pllotter centers the inked area (which generally means the plot is shifted left on the sheet because we have a binding margin).  If the tick marks are set to color 255, which for us is 0% screened, the marks get sent to the plotter, which means the image centers correctly, but the tick marks don't show because of the 0% screening.  The tick marks can be any color, but the plots look a lot more professional if the ticks don't show.     

Hope that makes it clearer.

Martin
"Science is the belief in the ignorance of experts." - Richard Feynman

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Color 255
« Reply #25 on: September 20, 2006, 11:32:32 AM »
This used to happen with one company I worked with that had an Hp750C.  There is a setting on the plotter to save paper, you will have to adjust this setting (turn it off), and then it should plot the way you want it to.

That was what I meant by my other post, sorry that I didn't explain it the way Martin did.
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

sinc

  • Guest
Re: Color 255
« Reply #26 on: September 20, 2006, 12:14:15 PM »
It really has nothing to do with what Autocad sees as the extents.  I have an Oce TDS 400.  Neither the techs who work on it nor I have found a way to get it position a page properly unless I put entities very near the margins of the printed sheet, then tell the plotter to center the plot on a standard size sheet.  I put small tick marks .003" inside the upper left and lower right corners of the sheet.  Just drawing a full size border doesn't work -- there have to be entities the "printable area".  If the tick marks are on a layer that is set "non print" they don't get sent to the plotter, and the pllotter centers the inked area (which generally means the plot is shifted left on the sheet because we have a binding margin).  If the tick marks are set to color 255, which for us is 0% screened, the marks get sent to the plotter, which means the image centers correctly, but the tick marks don't show because of the 0% screening.  The tick marks can be any color, but the plots look a lot more professional if the ticks don't show.     

It's possible that your problems are arising due to the fact that you are telling your printer to center the plot.  You may have started doing this because your printer has it's "Inked Area" option turned on, as Tim states.  I suspect you should get what you want if you make sure this option is off in your plotter.  If you need to, you should be able to create a PC3 file with that option off, and always use your PC3 file to plot your drawings (so you don't have to manually turn that option off in your plotter every time you print).

Once your printer stops changing things, you should be able to do all the centering in Autocad.  This is better, anyway - ideally, when you hit "Print Preview", you should see EXACTLY what will come out of your plotter.

hmspe

  • Bull Frog
  • Posts: 362
Re: Color 255
« Reply #27 on: September 20, 2006, 05:46:14 PM »
[It's possible that your problems are arising ...

Entirely possible, but we haven't found a way.  The techs who set the unit up burned through most of a roll of paper trying different settings, but he never came up with settings that worked the way things did with the old inkjet.  The tick marks are what I came up with after the tech left.  I wrote a lisp to handle inserting the tick marks, so it's not too much of an issue.  We do use a separate pc3 file for each paper size we use.

Martin
"Science is the belief in the ignorance of experts." - Richard Feynman

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Color 255
« Reply #28 on: September 20, 2006, 05:47:49 PM »
Okay.  So is there anything you are still wanting/needing help with?
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

sinc

  • Guest
Re: Color 255
« Reply #29 on: September 20, 2006, 06:24:06 PM »

We do use a separate pc3 file for each paper size we use.


I wonder if that has anything to do with it?  You shouldn't need a separate PC3 file for each paper size, although I've discovered that on some printers you may need a separate PC3 for landscape vs. portrait, or Land Desktop contour labels may rotate incorrectly.  (This only seems to apply to printers that can load multiple paper sizes simultaneously in multiple orientations, and only in Autocad 2006 and 2007 AFAIK.)

Of course, not ever having used any Oce printers, I don't know anything about any Oce-specific issues that may exist.  A housemate of mine (back in 1994) worked for Oce as a software engineer, but I never actually used any of their equipment.  It seems like there should be a way to fix this issue without the Color 255 hack, but without an Oce printer, I can't really say.